Authentication
Creating an API Key Pair
Authentication
Authenticate user using access key and secret key
Body
accessKeystringRequired
User's access key
secretKeystringRequired
User's secret key
durationstringOptionalExample:
Custom token validity duration. Defaults to 24h if not provided. Format: where unit is h (hours), d (days), w (weeks), m (months), y (years). Maximum allowed duration is 1 year. Examples: 1h, 12h, 7d, 2w, 6m, 1y.
24hResponses
200
Successful login
application/json
accessTokenstringOptional
JWT access token
expiresAtintegerOptional
Token expiration time in seconds
tokenTypestringOptional
Type of token (e.g., "Bearer")
401
Unauthorized Error
application/json
post/login
POST /login HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"accessKey": "text",
"secretKey": "text",
"duration": "24h"
}{
"accessToken": "text",
"expiresAt": 1,
"tokenType": "text"
}Health Check
Last updated
Was this helpful?